package de.ugoe.cs.swe.exercises;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		layout.setEditorAreaVisible(false);
		layout.setFixed(true);
		IFolderLayout mainfolder = layout.createFolder("mainFolder", IPageLayout.TOP, 0.75f, layout.getEditorArea());
		mainfolder.addView("de.ugoe.cs.swe.exercises.views.tree");
		mainfolder.addView("de.ugoe.cs.swe.exercises.views.lecturer");
		mainfolder.addView("de.ugoe.cs.swe.exercises.views.exercise");
	}
}
